package com.bjtdba.entity.userCenter;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 20220712新版签到积分表(RrxUserSignScore)实体类
 *
 * @author makejava
 * @since 2022-08-16 10:35:30
 */
public class UserSignScore implements Serializable {
    private static final long serialVersionUID = 802180060638474717L;
    /**
     * 自增id
     */
    private Integer id;
    /**
     * 会员id
     */
    private Integer uid;
    /**
     * 连续签到几天
     */
    private Integer continuityDay;
    /**
     * 赠送积分数量
     */
    private BigDecimal rewardSocre;
    /**
     * 签到时间
     */
    private Integer signinTime;
    /**
     * 添加时间
     */
    private Integer addtime;
    /**
     * 赠送积分来源用户id
     */
    private Integer sourceUid;
    /**
     * 积分状态1-有效。0-无效
     */
    private Integer status;
    /**
     * 备注
     */
    private String mark;
    /**
     * 订单id
     */
    private Integer orderId;
    /**
     * 1-收入。2-支出
     */
    private Integer pm;
    /**
     * 剩余
     */
    private BigDecimal surplus;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public Integer getContinuityDay() {
        return continuityDay;
    }

    public void setContinuityDay(Integer continuityDay) {
        this.continuityDay = continuityDay;
    }

    public BigDecimal getRewardSocre() {
        return rewardSocre;
    }

    public void setRewardSocre(BigDecimal rewardSocre) {
        this.rewardSocre = rewardSocre;
    }

    public Integer getSigninTime() {
        return signinTime;
    }

    public void setSigninTime(Integer signinTime) {
        this.signinTime = signinTime;
    }

    public Integer getAddtime() {
        return addtime;
    }

    public void setAddtime(Integer addtime) {
        this.addtime = addtime;
    }

    public Integer getSourceUid() {
        return sourceUid;
    }

    public void setSourceUid(Integer sourceUid) {
        this.sourceUid = sourceUid;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Integer getPm() {
        return pm;
    }

    public void setPm(Integer pm) {
        this.pm = pm;
    }

    public BigDecimal getSurplus() {
        return surplus;
    }

    public void setSurplus(BigDecimal surplus) {
        this.surplus = surplus;
    }

}

